;; -*-scheme-*-
;;
;;  Richard -Gilligan- Uschold
;; These are help strings for each TXF code. See taxtxf.scm and
;; txf-export.scm
;;
;; (n <- TurboTax      (N <- IRS
;;

(define-public txf-help-strings
  '(
    (H001 . "Categories marked with a \"&lt;\" or a \"^\", require a Payer identification to be exported.  \"&lt;\" indicates that the name of this account is exported as this Payer ID.  Typically, this is a bank, stock, or mutual fund name.")
    (N000 . "Tax Report Only - No TXF Export from AU")
    (A410 . "Work related car expenses as calculated using the tax schedule")
    (A420 . "Work related travel expenses")
    (A430 . "Work related uniform, occupation speciﬁc or protective clothing, laundry and dry cleaning expenses")
    (A440 . "Work related self-education expenses")
    (A450 . "Other work related expenses")
    (A460 . "Low value pool deduction")
    (A470 . "Interest and dividend deductions")
    (A480 . "Gifts or donations")
    (A490 . "Cost of managing tax affairs")

    (A2106 . "Rental property capital works deductions")
    (A2117 . "Rental property interest deductions")
    (A2121 . "Rental property other deductions")
   )
)
