#!/usr/bin/guile -s
!#
(load "tax.scm")
(use-modules (gnucash tax))
(define (show-code pass-code)
	(if (gnc:txf-get-description txf-expense-categories pass-code) 
		(format #t "expense '~A' = '~s' (~s)~%" pass-code (gnc:txf-get-description txf-expense-categories pass-code) (gnc:txf-get-help txf-expense-categories pass-code))
	)
	(if (gnc:txf-get-description txf-income-categories pass-code)
		(format #t "income  '~A' = '~s' (~s)~%" pass-code (gnc:txf-get-description txf-income-categories pass-code) (gnc:txf-get-help txf-income-categories pass-code))
	)
)
(show-code 'N000)
(show-code 'A420)
(show-code 'N519)

(begin (display "In LOCALE") (newline))
(use-modules (gnucash taxlocale))
(define (show-code-tl pass-code)
	(if (gnc:txf-get-description txf-expense-categories pass-code) 
		(format #t "expense '~A' = '~s' (~s)~%" pass-code (gnc:txf-get-description txf-expense-categories pass-code) (gnc:txf-get-help txf-expense-categories pass-code))
	)
	(if (gnc:txf-get-description txf-income-categories pass-code)
		(format #t "income  '~A' = '~s' (~s)~%" pass-code (gnc:txf-get-description txf-income-categories pass-code) (gnc:txf-get-help txf-income-categories pass-code))
	)
)
(show-code-tl 'N000)
(show-code-tl 'A420)
(show-code-tl 'N519)

